import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { checker } from "./checker";
export declare class TSNonNullExpression extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSNonNullExpression(expr?: Expression): TSNonNullExpression;
    static updateTSNonNullExpression(original?: TSNonNullExpression, expr?: Expression): TSNonNullExpression;
    get expr(): Expression | undefined;
    /** @deprecated */
    setExpr(expr?: Expression): this;
    get originalType(): checker.Type | undefined;
    /** @deprecated */
    setOriginalType(type?: checker.Type): this;
    protected readonly brandTSNonNullExpression: undefined;
}
export declare function isTSNonNullExpression(node: object | undefined): node is TSNonNullExpression;
